using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;


namespace Models.Models
{
    /// <summary>
    /// 高*飞需求创建
    /// </summary>
    [Table("TBL_CSERIES_BASICDATA")]
    public class TBL_CSERIES_BASICDATA
    {
        /// <summary>
        /// ID索引
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        /// <summary>
        /// 房间号
        /// </summary>
        [Column(TypeName = "nvarchar(20)"), Comment("项目名称")]
        public string PROJECTNAME { get; set; }

        /// <summary>
        /// 房间号
        /// </summary>
        [Column(TypeName = "int"), Comment("房间号")]
        public int ROOMNUMBER { get; set; }


        /// <summary>
        /// 房型
        /// </summary>
        [Column(TypeName = "nvarchar(20)"), Comment("房型")]
        public string ROOMTYPE { get; set; }




        /// <summary>
        /// MAC地址
        /// </summary>
        [Column(TypeName = "nvarchar(20)"), Comment("MAC地址")]
        public string MAC { get; set; }



        /// <summary>
        /// 内网IP
        /// </summary>
        [Column(TypeName = "nvarchar(20)"), Comment("内网IP")]
        public string INNERNETIP { get; set; }


        /// <summary>
        /// 公网IP
        /// </summary>
        [Column(TypeName = "nvarchar(20)"), Comment("公网IP")]
        public string PUBLICIP { get; set; }


        /// <summary>
        /// 入网时间
        /// </summary>
        [Column(TypeName = "datetime"), Comment("入网时间")]
        public DateTime ENTERNETTIME { get; set; }

    }
}
